# Uses of Interface
org.eclipse.pde.core.project.IHostDescription

Packages that use IHostDescription
Package
Description
org.eclipse.pde.core.project
Application programming interfaces to create new plug-in projects programmatically.

## Uses of IHostDescription in org.eclipse.pde.core.project

Methods in org.eclipse.pde.core.project that return IHostDescription
Modifier and Type
Method
Description
`IHostDescription`
IBundleProjectDescription.`getHost()`
Returns the host bundle for the described fragment, or `null` if this description does not describe a fragment.
`IHostDescription`
IBundleProjectService.`newHost(String name, VersionRange range)`
Creates and returns a new host description.
Methods in org.eclipse.pde.core.project with parameters of type IHostDescription
Modifier and Type
Method
Description
`void`
IBundleProjectDescription.`setHost(IHostDescription host)`
Sets the the Fragment-Host header for the described fragment.